Package org.gradle.plugins.ear.descriptor

## Interface EarSecurityRole

-     public interface EarSecurityRole

  A security-role element in a deployment descriptor like application.xml.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` | A description of the security role.
    `java.lang.String` | `getRoleName()` | The name of the security role.
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setRoleName​(java.lang.String roleName)` |

- - ### Method Detail

    - #### getDescription

          java.lang.String getDescription()

      A description of the security role. Optional.

    - #### setDescription

          void setDescription​(java.lang.String description)

    - #### getRoleName

          java.lang.String getRoleName()

      The name of the security role. Required.

    - #### setRoleName

          void setRoleName​(java.lang.String roleName)